#include <bits/stdc++.h>
using namespace std;

long long n,i,k,m,l,r;
long long a[1007],b[1007];
string s;

int main()
{
    cin>>s;
    cin>>m;
    while(m--){
        cin>>l>>r;
        k=0;
        for(i=l-1;i<r-1;i++){
            if(s[i]>s[i+1])k++;
        }
        cout<<k+1<<endl;
    }

    return 0;
}
